Bug 1653119 - Make /usr/bin/nc a symlink using alternatives(1) to allow switching to OpenBSD nc(1)
Summary: Make /usr/bin/nc a symlink using alternatives(1) to allow switching to OpenBS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nmap
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.1
Assignee: Pavel Zhukov
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On: 1680890
Blocks: 1701002 1679810 1684588 1939769
TreeView+ depends on / blocked
 
Reported: 2018-11-25 23:32 UTC by Robert Scheck
Modified: 2021-03-18 12:20 UTC (History)
5 users (show)

Fixed In Version: nmap-7.70-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 20:43:30 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3332 0 None None None 2019-11-05 20:43:32 UTC

Description Robert Scheck 2018-11-25 23:32:08 UTC
Description of problem:
Please make /usr/bin/nc a symlink using alternatives(1) to allow switching to
OpenBSD nc(1) using a third party repository. This makes indeed sense in some 
scenarios, because nmap-ncat is still not a 100% replacement for OpenBSD nc(1),
see e.g. bug 1321136 or bug #1383127 for RHEL 7, which still are not addressed.

Version-Release number of selected component (if applicable):
nmap-ncat-7.70-4.el8

Actual results:
/usr/bin/nc is not a symlink using alternatives(1)

Expected results:
/usr/bin/nc is a symlink using alternatives(1)

Comment 1 Robert Scheck 2018-11-25 23:33:46 UTC
Cross-filed case 02260338 at the Red Hat customer portal.

Comment 13 errata-xmlrpc 2019-11-05 20:43:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3332

Comment 14 Robert Scheck 2021-03-10 21:14:23 UTC
Bug #1937528 requests in general the same for RHEL 9


Note You need to log in before you can comment on or make changes to this bug.